summaryrefslogtreecommitdiffstats
path: root/audio/audacity/audacity.SlackBuild
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-06-28 23:21:52 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-06-29 00:36:36 -0500
commit424be1ba1bfa2f72bdb45a658062d0406d53bf04 (patch)
tree1ddd3d4e7388e531fd1dab305fce3ca7beac4805 /audio/audacity/audacity.SlackBuild
parent9296dedd5aecb5fbfaa15b55f0988021e6e2bfe9 (diff)
downloadslackbuilds-424be1ba1bfa2f72bdb45a658062d0406d53bf04.tar.gz
slackbuilds-424be1ba1bfa2f72bdb45a658062d0406d53bf04.tar.xz
audio/audacity: Patched to build with ffmpeg-0.6.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio/audacity/audacity.SlackBuild')
-rw-r--r--audio/audacity/audacity.SlackBuild31
1 files changed, 15 insertions, 16 deletions
diff --git a/audio/audacity/audacity.SlackBuild b/audio/audacity/audacity.SlackBuild
index e893980d6e..50ce096c69 100644
--- a/audio/audacity/audacity.SlackBuild
+++ b/audio/audacity/audacity.SlackBuild
@@ -24,21 +24,19 @@
# Thanks to Eric Hameleers for adding the audacity.desktop file
# and other tweaks and bug fixes. Thanks to Heinz Wiesinger for
-# bug fixes and and the soundtouch and twolame improvements.
+# bug fixes and the soundtouch and twolame improvements.
# Modified by the SlackBuilds.org project
PRGNAM=audacity
VERSION=1.3.12
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -48,16 +46,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SOUNDTOUCH=${SOUNDTOUCH:-no}
-TWOLAME=${TWOLAME:-no}
-
-if [ "$SOUNDTOUCH" = "no" ]; then
+if [ "${SOUNDTOUCH:-no}" = "no" ]; then
do_soundtouch="without"
else
do_soundtouch="with"
fi
-if [ "$TWOLAME" = "no" ]; then
+if [ "${TWOLAME:-no}" = "no" ]; then
do_twolame="without"
else
do_twolame="with"
@@ -77,12 +72,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-minsrc-$VERSION-beta
-tar xvf $CWD/$PRGNAM-minsrc-$VERSION-beta.tar.bz2 || exit 1
-cd $PRGNAM-src-$VERSION-beta || exit 1
+tar xvf $CWD/$PRGNAM-minsrc-$VERSION-beta.tar.bz2
+cd $PRGNAM-src-$VERSION-beta
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -90,6 +87,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix ffmpeg support for version 0.6
+patch -p1 -i $CWD/audacity-src-1.3.12-beta-avformat-api-change.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -106,11 +106,10 @@ CXXFLAGS="$SLKCFLAGS" \
--with-libid3tag \
--with-libresample \
--$do_soundtouch-soundtouch \
- --$do_twolame-libtwolame \
- || exit 1
+ --$do_twolame-libtwolame
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true